using UnityEngine;
using System.Collections;

public class curseScript : MonoBehaviour {

	public float speed;
	private GameObject target;
	public GameObject playerOne;
	public GameObject playerTwo;

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		if (target == null)
			return;

		gameObject.transform.position = Vector3.MoveTowards (transform.position, target.transform.position, speed * Time.deltaTime);
	}

	void OnTriggerEnter2D(Collider2D col){
		if (col.gameObject == target){

/*

			IN HERE GOES THE STUFF FOR THE ACTUAL CURSE

*/
		}
	}

	void PlayerOne(){
		target = playerOne;
	}

	void PlayerTwo(){
		target = playerTwo;
	}
		
		
}
